\tikzset{
	treenode/.style={
		text centered,
		align=center,
		draw=blue!80,
		fill=blue!20,
		minimum size=0.75cm,  % ensures nodes with less text have same circle size
		shape=circle,
	},
}

\begin{tikzpicture}[
	->,  % default to using arrow head
	>=stealth,  % set arrow head style to "stealth"
	level/.style={  % style of each tree level
		sibling distance=4cm/#1,  % set width, and halve on each level
		level distance=1.50cm,  % height between each level
	},
]
	\node[treenode] {50}
		% Left branch
		child{
			node[treenode] {6}
			child{
				node[treenode] {4}
				child{
					node[treenode] {0}
				}
			}
			child{
				node[treenode] {19}
				child{
					node[treenode] {38}
				}
			}
		}
		% Center branch
		child[red]{
			node[treenode] {50}
			child{
				node[treenode] {50}
			}
		}
		% Right branch
		child{
			node[treenode] {82}
			child{
				node[treenode] {74}
				child{
					node[treenode] {58}
				}
				child{
					node[treenode] {81}
				}
			}
			child{
				node[treenode] {88}
				child{
					node[treenode] {97}
				}
			}
		}
	;
\end{tikzpicture}
